CKEDITOR.plugins.add( 'glint',
{
	init: function( editor )
	{
		editor.addCommand( 'glintCommand',
		{
			exec : function( editor )
			{
				var selected = '';
				if  (editor.getSelection().getSelectedText()) {
					selected = editor.getSelection().getSelectedText();
				} else {
					alert('رجاء تحديد النص اولا');
					return;
				}
				editor.insertHtml( "[glint]" + selected +"[/glint]" );
			}
		});
		editor.ui.addButton( 'glint',
		{
			label: 'لإدراج نص مضيء',
			command: 'glintCommand',
			icon: this.path + 'glint.gif'
		});
	}
});